'use strict';

const domContextHooks_module = require('./dom-context-hooks.module-e7b6727c.js');
const index_module = require('./index.module-f8c8495f.js');

// import { IntlMessageFormat } from 'intl-messageformat';
function isMobile(breakPoint) {
  const [width, setWidth] = domContextHooks_module.useState(window.innerWidth);
  const handleWindowResize = index_module.useCallback(() => setWidth(window.innerWidth), []);
  domContextHooks_module.useEffect(() => {
    window.addEventListener("resize", handleWindowResize);
    return () => window.removeEventListener("resize", handleWindowResize);
  }, []);
  return width > breakPoint ? false : true;
}
function isValidColor(teststr) {
  return CSS.supports(`(color: ${teststr})`);
}
function isEmpty(value) {
  return (!value || (Object.keys(value).length === 0 && value.constructor === Object));
}

exports.isEmpty = isEmpty;
exports.isMobile = isMobile;
exports.isValidColor = isValidColor;
